petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetComputeSingularValues

Sets a flag so that the extreme singular values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetComputeSingularValues(KSP ksp,PetscBool flg)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| flg | - PETSC_TRUE or PETSC_FALSE Many br

### Options Database Key

-ksp_monitor_singular_value -Activates KSPSetComputeSingularValues() Many br

### Notes

Currently this option is not valid for all iterative methods. Many br

Many users may just want to use the monitoring routine Many brKSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) Many brto print the singular values at each iteration of the linear solve. Many br

Many br

### Keywords

KSP, set, compute, singular values

### See Also

KSPComputeExtremeSingularValues(), KSPMonitorSingularValue()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex30.c.html